Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 511146 - =dev-libs/icu-52.1 stable request
Summary: =dev-libs/icu-52.1 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 509584 CVE-2014-0191
  Show dependency tree
 
Reported: 2014-05-23 22:30 UTC by Andreas K. Hüttel
Modified: 2014-09-12 00:41 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel gentoo-dev 2014-05-23 22:30:42 UTC
Please stabilize =dev-libs/icu-52.1

Target: all stable arches (but amd64 and x86 are handled separately in bug 511144)

This bug supercedes bug 509856.
Comment 1 Jeroen Roovers gentoo-dev 2014-05-25 12:05:48 UTC
Stable for HPPA.
Comment 2 Markus Meier gentoo-dev 2014-05-25 18:52:41 UTC
arm stable
Comment 3 xiando 2014-05-27 17:38:45 UTC
such fail. wow. 

It appears that =dev-libs/icu-52.1 makes stuff compile fail. :-/ and it's now supposedly such stable. perhaps the programs that fail should be fixed but making this new icu stable was perhaps not a great idea.

[192/192] x86_64-pc-linux-gnu-g++ -Wl,--as-needed -Wl,-z,now -Wl,-z,relro -pthread -Wl,-z,noexecstack -fPIC -Wl,--disable-new-dtags -m64 -Wl,-O1 -Wl,--gc-sections -o mksnapshot.x64 -Wl,--start-group obj.host/v8/src/mksnapshot.x64.mksnapshot.o obj.host/v8/tools/gyp/libv8_base.x64.a obj.host/v8/tools/gyp/libv8_nosnapshot.x64.a  -Wl,--end-group -lrt -licui18n -licuuc -licudata
FAILED: x86_64-pc-linux-gnu-g++ -Wl,--as-needed -Wl,-z,now -Wl,-z,relro -pthread -Wl,-z,noexecstack -fPIC -Wl,--disable-new-dtags -m64 -Wl,-O1 -Wl,--gc-sections -o mksnapshot.x64 -Wl,--start-group obj.host/v8/src/mksnapshot.x64.mksnapshot.o obj.host/v8/tools/gyp/libv8_base.x64.a obj.host/v8/tools/gyp/libv8_nosnapshot.x64.a  -Wl,--end-group -lrt -licui18n -licuuc -licudata
obj.host/v8/tools/gyp/../../src/v8_base.x64.i18n.o: In function `v8::internal::(anonymous namespace)::SetResolvedNumberSettings(v8::internal::Isolate*, icu::Locale const&, icu::DecimalFormat*, v8::internal::Handle<v8::internal::JSObject>)':
i18n.cc:(.text._ZN2v88internal12_GLOBAL__N_125SetResolvedNumberSettingsEPNS0_7IsolateERKN3icu6LocaleEPNS4_13DecimalFormatENS0_6HandleINS0_8JSObjectEEE+0x604): undefined reference to `icu::NumberingSystem::getName()'
obj.host/v8/tools/gyp/../../src/v8_base.x64.i18n.o: In function `v8::internal::(anonymous namespace)::SetResolvedDateSettings(v8::internal::Isolate*, icu::Locale const&, icu::SimpleDateFormat*, v8::internal::Handle<v8::internal::JSObject>)':
i18n.cc:(.text._ZN2v88internal12_GLOBAL__N_123SetResolvedDateSettingsEPNS0_7IsolateERKN3icu6LocaleEPNS4_16SimpleDateFormatENS0_6HandleINS0_8JSObjectEEE+0x39c): undefined reference to `icu::NumberingSystem::getName()'
collect2: error: ld returned 1 exit status
Comment 4 Andreas K. Hüttel gentoo-dev 2014-05-27 17:48:49 UTC
(In reply to xiando from comment #3)
> such fail. wow. 
> 
> It appears that =dev-libs/icu-52.1 makes stuff compile fail. :-/ and it's
> now supposedly such stable. perhaps the programs that fail should be fixed
> but making this new icu stable was perhaps not a great idea.
> 

Please file a separate bug and attach the full build log and your emerge --info
This here is the wrong place to report issues.
Comment 5 Akinori Hattori gentoo-dev 2014-06-15 14:41:40 UTC
ia64 stable
Comment 6 Matt Turner gentoo-dev 2014-07-18 03:19:28 UTC
alpha stable
Comment 7 Pacho Ramos gentoo-dev 2014-07-18 19:29:11 UTC
Will handle the remaining arches in parent bug as it's preferred by Ago and this can wait for those arches until the rest is done

*** This bug has been marked as a duplicate of bug 512012 ***
Comment 8 Andreas K. Hüttel gentoo-dev 2014-09-11 20:00:35 UTC
@sparc: we could really need this stable now
Comment 9 Jack Morgan (RETIRED) gentoo-dev 2014-09-12 00:41:08 UTC
sparc stable, closing as last arch